*
    box-sizing: border-box

body
    margin: 20px

.timeline-container
    width: 100%
    height: 60px
    margin-top: 20px
    margin-bottom: 20px
    background-color: black
    padding: 10px

    .timeline
        position: relative
        width: 100%
        height: 40px
        background: repeating-linear-gradient(90deg, #434343, #434343 3px, black 3px, black 6px)

        .cursor
            position: absolute
            top: 0
            bottom: 0
            left: 0
            width: 5px
            border-radius: 5px
            background-color: white
